> For the complete documentation index, see [llms.txt](https://docs.hello-lisa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hello-lisa.com/developers/analytics/abobe-appmeasurement/event-reference/stickers.md).

# Stickers

### Sticker Event

Along with all standard [Analytics Event properties](/developers/analytics/abobe-appmeasurement/event-reference.md#canonical-shared-event-schema), a Sticker Event includes the following additional properties:

#### Schema

```typescript
interface StickerEvent extends Omit<
  AnalyticsEvent,
  'eventType'
> {
  eventType:
    | 'lsc:sticker:click'
    | 'lsc:sticker:impression'
    | 'lsc:sticker:poll:vote'
    | 'lsc:sticker:voucher:claim';

  // Event-specific fields

  /**
   * The length of the activation timer, represented in seconds.
   * If no activation timer is set for the sticker, the value is `0`.
   */
  stickerActivationTimerDurationInSec: number;

  /**
   * The length of the expiry timer, represented in seconds.
   * If no expiry timer is set for the sticker, the value is `0`.
   */
  stickerExpiryTimerDurationInSec: number;

  /**
   * Universally unique sticker identifier, in UUID v4 format.
   */
  stickerId: string;

  /**
   * The distinct sticker type.
   */
  stickerType:
    | 'alert'
    | 'poll'
    | 'product'
    | 'voucher';
}

```

#### Alias Mapping Table

<table data-full-width="false"><thead><tr><th width="270.4453125" valign="top">Alias (contextData key) </th><th valign="top">Meaning / Use Case</th><th valign="top">Suggested Adobe Target (placeholder)</th><th valign="top">Friendly Label Example</th></tr></thead><tbody><tr><td valign="top"><code>lsc.stickerActivationTimerDurationInSec</code></td><td valign="top">Sticker performance analysis</td><td valign="top">prop{SHARE_TIMER}</td><td valign="top">Sticker Timer (sec)</td></tr><tr><td valign="top"><code>lsc.stickerExpiryTimerDurationInSec</code></td><td valign="top">Sticker performance analysis</td><td valign="top">prop{STICKER_EXPIRY}</td><td valign="top">Sticker Expiry (sec)</td></tr><tr><td valign="top"><code>lsc.stickerId</code></td><td valign="top">Sticker ID</td><td valign="top">prop{STICKER_ID}</td><td valign="top">Sticker ID</td></tr><tr><td valign="top"><code>lsc.stickerType</code></td><td valign="top">Sticker segmentation</td><td valign="top">prop{SHARE_TARGET}</td><td valign="top">Sticker Type</td></tr></tbody></table>

### `lsc:sticker:click`

Visitor clicked a sticker.

#### Schema

```typescript
export interface StickerClickEvent extends Omit<
  StickerEvent,
  'eventType'
> {
  eventType: 'lsc:sticker:click';

  // Event-specific fields

  /**
   * Indicates, whether this is the first click on this sticker
   * for the current media item.
   */
  firstOccurrence: boolean;
}
```

#### Alias Mapping Table

<table data-full-width="false"><thead><tr><th width="270.4453125" valign="top">Alias (contextData key) </th><th valign="top">Meaning / Use Case</th><th valign="top">Suggested Adobe Target (placeholder)</th><th valign="top">Friendly Label Example</th></tr></thead><tbody><tr><td valign="top"><code>lsc.firstOccurrence</code></td><td valign="top">Filtering</td><td valign="top">prop{FIRST_OCCURRENCE}</td><td valign="top">First Occurrence</td></tr></tbody></table>

### `lsc:sticker:impression`

Visitor clicked a social sharing target CTA.

#### Schema

```typescript
export interface StickerImpressionEvent extends Omit<
  StickerEvent,
  'eventType'
> {
  eventType: 'lsc:sticker:impression';

  // Event-specific fields

  /**
   * Indicates, whether this is the first impression of this sticker
   * for the current media item.
   */
  firstOccurrence: boolean;
}
```

#### Alias Mapping Table

<table data-full-width="false"><thead><tr><th width="270.4453125" valign="top">Alias (contextData key) </th><th valign="top">Meaning / Use Case</th><th valign="top">Suggested Adobe Target (placeholder)</th><th valign="top">Friendly Label Example</th></tr></thead><tbody><tr><td valign="top"><code>lsc.firstOccurrence</code></td><td valign="top">Filtering</td><td valign="top">prop{FIRST_OCCURRENCE}</td><td valign="top">First Occurrence</td></tr></tbody></table>

### `lsc:sticker:poll:vote`

Visitor submitted their vote on a poll sticker.

#### Schema

```typescript
export interface StickerPollVoteEvent extends Omit<
  StickerEvent,
  'eventType'
> {
  eventType: 'lsc:sticker:poll:vote';
}
```

### `lsc:sticker:voucher:claim`

Visitor claimed the voucher code from a voucher sticker.

#### Schema

```typescript
export interface StickerVoucherClaimEvent extends Omit<
  StickerEvent,
  'eventType'
> {
  eventType: 'lsc:sticker:voucher:claim';

  // Event-specific fields

  /**
   * Voucher sticker details.
   */
  stickerDetails: {
    /**
     * The voucher code.
     */
    voucherCode: string;
  };
}
```

#### Alias Mapping Table

<table data-full-width="false"><thead><tr><th width="270.4453125" valign="top">Alias (contextData key) </th><th valign="top">Meaning / Use Case</th><th valign="top">Suggested Adobe Target (placeholder)</th><th valign="top">Friendly Label Example</th></tr></thead><tbody><tr><td valign="top"><code>lsc.stickerDetails.voucherCode</code></td><td valign="top">Discount computation downstream</td><td valign="top">prop{VOUCHER_CODE}</td><td valign="top">Voucher Code</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hello-lisa.com/developers/analytics/abobe-appmeasurement/event-reference/stickers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
